<template>
  <div>
    <informationEntry :patentNo="patentNo" :projectId="projectId" :reportType="reportType" :isSave="isSave">
      <div slot="save">
        <el-button type="primary" @click="save">保存</el-button>
      </div>
    </informationEntry>
  </div>
</template>

<script>
import informationEntry from './informationEntry.vue';
export default {
  components: {
    informationEntry
  },
  data() {
    return {
      isSave:false
    }
  },
  computed: {
    patentNo() {
      return this.$route.query.patentNo
    },
    projectId() {
      return this.$route.query.projectId
    },
    reportType() {
      return this.$route.query.reportType
    }
  },
  mounted() {

  },
  methods: {
    save() {
      this.isSave = !this.isSave
    },
  },
}
</script>

<style lang="scss" scoped></style>